<script setup lang="ts">
import { useTableListStore } from '@/stores/list_table';
import { ref } from 'vue';
import type { VForm } from 'vuetify/components';
const form = ref<VForm | null>(null);
const tableStore = useTableListStore();
async function save() {
  const { valid } = await form.value!.validate();
  if (valid) {
    await tableStore.saveTable();
  }
}
</script>
<template>
  <v-dialog v-model="tableStore.dialog" persistent width="1024">
    <v-card color="#EDEADE">
      <v-row class="justify-center">
            <v-card class="pa-5 ma-2 text-h4 text-center" width="100%" height="80px" color="#1C6758"
              style="color: white"><label>โต๊ะ</label>
            </v-card>
        </v-row>
      <v-card-text>
        <v-form ref="form">
          <v-container>
            <v-row>
              <v-col cols="12">
                <v-combobox
                label="Type*" required v-model="tableStore.editedTable.type" :rules="[(v) => !!v || 'Type is required',
                ]"
                  :items="['A','B','C','D']"
                ></v-combobox>
              </v-col>
              <v-col cols="12">
                <v-text-field label="Number*" required v-model="tableStore.editedTable.Number" :rules="[(v) => !!v || 'Number is required',
                ]"></v-text-field>
              </v-col>
              <v-col cols="12">
                <v-combobox
                label="Status*" required v-model="tableStore.editedTable.status" :rules="[(v) => !!v || 'Status is required',
                ]"
                  :items="['green','red','yellow']"
                ></v-combobox>
              </v-col>
            </v-row>
          </v-container>
        </v-form>
        <small>*indicates required field</small>
      </v-card-text>
      <v-card-actions>
        <v-spacer></v-spacer>
        <v-btn size="x-large" class="btngr" @click="tableStore.dialog = false">Close</v-btn>
        <v-btn size="x-large" class="btng" @click="save"> Save </v-btn>
      </v-card-actions>
    </v-card>
  </v-dialog>
</template>
<style scoped>
  @import url("https://fonts.googleapis.com/css2?family=Noto+Sans+Thai:wght@100&display=swap");
  label {
    font-family: "Noto Sans Thai", sans-serif;
    font-weight: bold;
    font-size: 28px !important;
  }
  /* .dialog {
    font-family: "Noto Sans Thai", sans-serif;
    font-weight: bold !important;
    font-size: 18px !important;
  } */
  .btng {
    font-family: "Noto Sans Thai", sans-serif;
    font-weight: bold;
    background-color: #9BCB3C;
    width: 80px;
}

.btngr {
    font-family: "Noto Sans Thai", sans-serif;
    font-weight: bold;
    background-color: #C0C0C0;
    width: 80px;
}
</style>